/**
 * StoclCntBar 部件模型
 *
 * @export
 * @class StoclCntBarModel
 */
export default class StoclCntBarModel {

  /**
    * 获取数据项集合
    *
    * @returns {any[]}
    * @memberof StoclCntBarModel
    */
  public getDataItems(): any[] {
    return [
      {
        name: 'batcode',
      },
      {
        name: 'emstock',
        prop: 'emstockid',
      },
      {
        name: 'storepartgl',
      },
      {
        name: 'updatedate',
      },
      {
        name: 'stockinfo',
      },
      {
        name: 'createman',
      },
      {
        name: 'orgid',
      },
      {
        name: 'enable',
      },
      {
        name: 'emstockname',
      },
      {
        name: 'createdate',
      },
      {
        name: 'amount',
      },
      {
        name: 'description',
      },
      {
        name: 'updateman',
      },
      {
        name: 'stockcnt',
      },
      {
        name: 'storepartname',
      },
      {
        name: 'itembtypeid',
      },
      {
        name: 'storename',
      },
      {
        name: 'price',
      },
      {
        name: 'itemname',
      },
      {
        name: 'itembtypename',
      },
      {
        name: 'storepartid',
      },
      {
        name: 'itemid',
      },
      {
        name: 'storeid',
      },
    ]
  }


}